[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashObjectList.ShowStatistics

Return some statistics for the list.

## Declaration

Source position: contnrs.pp line 325

`public procedure TFPHashObjectList.ShowStatistics;`

## Description

ShowStatistics prints some information about the hash list to standard output. It prints the following values:

HashSize
  Size of the hash table
HashMean
  Mean hash value
HashStdDev
  Standard deviation of hash values
ListSize
  Size and capacity of the list
StringSize
  Size and capacity of key strings